ZIP_ADD_DIR(3)

NAME
zip_add_dir - add directory to zip archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_add_dir(struct zip *archive, const char *name);

DESCRIPTION
The function zip_add_dir adds a directory to a zip archive. The argument archive specifies the zip archive to which the directory should be added. name is the directory's name in the zip archive.

RETURN VALUES
Upon successful completion, the index of the new entry in the archive is returned. Otherwise, -1 is returned and the error code in archive is set to indicate the error.

ERRORS
zip_add_dir fails if:

    [ZIP_ER_EXISTS]
        There is already an entry called name in the archive.

    [ZIP_ER_INVAL]
        archive or name are NULL.

    [ZIP_ER_MEMORY]
        Required memory could not be allocated.

SEE ALSO
libzip(3), zip_add(3)

AUTHORS
Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>